## ros-foxy-pmb2-simulation 3.0.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(pmb2_simulation)
find_package(ament_cmake REQUIRED)

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)

  ament_lint_auto_find_test_dependencies()
endif()

ament_package()

=== debian/changelog ===
ros-foxy-pmb2-simulation (3.0.2-1focal) focal; urgency=high



 -- PAL Robotics <info@pal-robotics.com>  Mon, 18 Oct 2021 22:00:00 -0000

ros-foxy-pmb2-simulation (3.0.1-1focal) focal; urgency=high



 -- PAL Robotics <info@pal-robotics.com>  Thu, 12 Aug 2021 22:00:00 -0000

ros-foxy-pmb2-simulation (3.0.0-1focal) focal; urgency=high

  * Add ament and apply corrections
  * Remove pmb2_controller_configuration_gazebo, use default one for gazebo
    For now we can use the default one
  * First gazebo launch with ROS2
  * Contributors: Victor Lopez

 -- PAL Robotics <info@pal-robotics.com>  Mon, 19 Jul 2021 22:00:00 -0000

ros-foxy-pmb2-simulation (2.0.24-1focal) focal; urgency=high



 -- PAL Robotics <info@pal-robotics.com>  Tue, 12 Jan 2021 23:00:00 -0000

ros-foxy-pmb2-simulation (2.0.23-1focal) focal; urgency=high



 -- PAL Robotics <info@pal-robotics.com>  Wed, 29 Jul 2020 22:00:00 -0000

ros-foxy-pmb2-simulation (2.0.22-1focal) focal; urgency=high



 -- PAL Robotics <info@pal-robotics.com>  Mon, 13 Apr 2020 22:00:00 -0000

ros-foxy-pmb2-simulation (2.0.21-1focal) focal; urgency=high



 -- PAL Robotics <info@pal-robotics.com>  Thu, 02 Apr 2020 22:00:00 -0000

ros-foxy-pmb2-simulation (2.0.20-1focal) focal; urgency=high



 -- PAL Robotics <info@pal-robotics.com>  Wed, 18 Mar 2020 23:00:00 -0000

ros-foxy-pmb2-simulation (2.0.19-1focal) focal; urgency=high



 -- PAL Robotics <info@pal-robotics.com>  Mon, 21 Oct 2019 22:00:00 -0000

ros-foxy-pmb2-simulation (2.0.18-1focal) focal; urgency=high



 -- PAL Robotics <info@pal-robotics.com>  Sun, 13 Oct 2019 22:00:00 -0000

ros-foxy-pmb2-simulation (2.0.17-1focal) focal; urgency=high



 -- PAL Robotics <info@pal-robotics.com>  Wed, 09 Oct 2019 22:00:00 -0000

ros-foxy-pmb2-simulation (2.0.16-1focal) focal; urgency=high



 -- PAL Robotics <info@pal-robotics.com>  Wed, 09 Oct 2019 22:00:00 -0000

ros-foxy-pmb2-simulation (2.0.15-1focal) focal; urgency=high



 -- PAL Robotics <info@pal-robotics.com>  Wed, 09 Oct 2019 22:00:00 -0000

ros-foxy-pmb2-simulation (2.0.14-1focal) focal; urgency=high



 -- PAL Robotics <info@pal-robotics.com>  Tue, 24 Sep 2019 22:00:00 -0000

ros-foxy-pmb2-simulation (2.0.13-1focal) focal; urgency=high



 -- PAL Robotics <info@pal-robotics.com>  Sun, 22 Sep 2019 22:00:00 -0000

ros-foxy-pmb2-simulation (2.0.12-1focal) focal; urgency=high



 -- PAL Robotics <info@pal-robotics.com>  Tue, 13 Aug 2019 22:00:00 -0000

ros-foxy-pmb2-simulation (2.0.11-1focal) focal; urgency=high



 -- PAL Robotics <info@pal-robotics.com>  Wed, 31 Jul 2019 22:00:00 -0000

ros-foxy-pmb2-simulation (2.0.10-1focal) focal; urgency=high



 -- PAL Robotics <info@pal-robotics.com>  Mon, 01 Jul 2019 22:00:00 -0000

ros-foxy-pmb2-simulation (2.0.9-1focal) focal; urgency=high



 -- PAL Robotics <info@pal-robotics.com>  Sun, 16 Jun 2019 22:00:00 -0000

ros-foxy-pmb2-simulation (2.0.8-1focal) focal; urgency=high



 -- PAL Robotics <info@pal-robotics.com>  Sun, 19 May 2019 22:00:00 -0000

ros-foxy-pmb2-simulation (2.0.7-1focal) focal; urgency=high



 -- PAL Robotics <info@pal-robotics.com>  Thu, 31 Jan 2019 23:00:00 -0000

ros-foxy-pmb2-simulation (2.0.6-1focal) focal; urgency=high



 -- PAL Robotics <info@pal-robotics.com>  Thu, 24 Jan 2019 23:00:00 -0000

ros-foxy-pmb2-simulation (2.0.5-1focal) focal; urgency=high



 -- PAL Robotics <info@pal-robotics.com>  Tue, 22 Jan 2019 23:00:00 -0000

ros-foxy-pmb2-simulation (2.0.4-1focal) focal; urgency=high



 -- PAL Robotics <info@pal-robotics.com>  Wed, 16 Jan 2019 23:00:00 -0000

ros-foxy-pmb2-simulation (2.0.3-1focal) focal; urgency=high



 -- PAL Robotics <info@pal-robotics.com>  Tue, 18 Dec 2018 23:00:00 -0000

ros-foxy-pmb2-simulation (2.0.2-1focal) focal; urgency=high



 -- PAL Robotics <info@pal-robotics.com>  Tue, 24 Jul 2018 22:00:00 -0000

ros-foxy-pmb2-simulation (2.0.1-1focal) focal; urgency=high



 -- PAL Robotics <info@pal-robotics.com>  Mon, 16 Jul 2018 22:00:00 -0000

ros-foxy-pmb2-simulation (2.0.0-1focal) focal; urgency=high



 -- PAL Robotics <info@pal-robotics.com>  Sun, 04 Feb 2018 23:00:00 -0000

ros-foxy-pmb2-simulation (1.0.1-1focal) focal; urgency=high

  * add tiago_support as maintainer
  * Contributors: Jordi Pages

 -- PAL Robotics <info@pal-robotics.com>  Mon, 27 Feb 2017 23:00:00 -0000

ros-foxy-pmb2-simulation (1.0.0-1focal) focal; urgency=high



 -- PAL Robotics <info@pal-robotics.com>  Tue, 19 Apr 2016 22:00:00 -0000

ros-foxy-pmb2-simulation (0.9.7-1focal) focal; urgency=high

  * Update simulation hardware abstraction dependence
  * Contributors: Sam Pfeiffer

 -- PAL Robotics <info@pal-robotics.com>  Thu, 14 Apr 2016 22:00:00 -0000

ros-foxy-pmb2-simulation (0.9.6-1focal) focal; urgency=high



 -- PAL Robotics <info@pal-robotics.com>  Mon, 08 Feb 2016 23:00:00 -0000

ros-foxy-pmb2-simulation (0.9.5-1focal) focal; urgency=high

  * Update maintainer
  * Contributors: Bence Magyar

 -- PAL Robotics <info@pal-robotics.com>  Mon, 26 Oct 2015 23:00:00 -0000

ros-foxy-pmb2-simulation (0.9.4-1focal) focal; urgency=high



 -- PAL Robotics <info@pal-robotics.com>  Tue, 17 Feb 2015 23:00:00 -0000

ros-foxy-pmb2-simulation (0.9.3-1focal) focal; urgency=high



 -- PAL Robotics <info@pal-robotics.com>  Mon, 02 Feb 2015 23:00:00 -0000

ros-foxy-pmb2-simulation (0.9.2-1focal) focal; urgency=high

  * Replace ant -> pmb2
  * Rename files
  * Contributors: Enrique Fernandez

 -- PAL Robotics <info@pal-robotics.com>  Sun, 01 Feb 2015 23:00:00 -0000

=== debian/control ===
Source: ros-foxy-pmb2-simulation
Section: misc
Priority: optional
Maintainer: PAL Robotics <info@pal-robotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-foxy-ament-cmake, ros-foxy-ament-lint-auto, ros-foxy-ament-lint-common, ros-foxy-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-foxy-pmb2-simulation
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-foxy-pmb2-2dnav-gazebo, ros-foxy-pmb2-gazebo, ros-foxy-ros-workspace
Description: PMB2-specific simulation components.
 These include plugins and launch scripts necessary for running PMB2 in simulation.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/foxy/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/foxy" \
		-DAMENT_PREFIX_PATH="/opt/ros/foxy" \
		-DCMAKE_PREFIX_PATH="/opt/ros/foxy"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-foxy-pmb2-simulation//opt/ros/foxy/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_install
